<bugID>1336833<Summary>Printing a lot of content hangs Firefox unusable and unnavigable</Summary><Description>Consider the following code:

&gt; &lt;html&gt;&lt;script&gt;
&gt; function print() {
&gt; 	for(var i = 0; i &lt; 1000; ++i) console.error('I print, therefore I am! ' + i);
&gt; 	requestAnimationFrame(print);
&gt; }
&gt; requestAnimationFrame(print);
&gt; &lt;/script&gt;&lt;/html&gt;

This page prints so much that the browser becomes unresponsive. The slow script dialog/banner does not come up on this, and it is not possible to navigate away from the page or close the browser from X in the corner. User has to kill the browser from task manager to resume.</Description></bugID>